Type to search.

Create a skill

Base URL
https://{kibana_url}
  • POST /api/agent_builder/skills
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Experimental since 9.4 This functionality is experimental and is not ready for production usage. Experimental features may change or be removed at any time. Elastic will work to fix any issues, but experimental features are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Create a new user-defined skill. To learn more about Agent Builder skills, refer to the skills documentation.

Required privileges

Privileges agentBuilder:manageSkills

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

content string required

Skill instructions content (markdown).

description string required

Description of what the skill does.

id string required

Unique identifier for the skill.

name string required

Human-readable name for the skill.

tool_ids string[] · max items: 100 · default: []

Tool IDs from the tool registry that this skill references.

Response

200

Indicates a successful response

application/json